"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.InfoModal = void 0;
const react_1 = __importDefault(require("react"));
const emotion_1 = require("@leafygreen-ui/emotion");
const tokens_1 = require("@leafygreen-ui/tokens");
const modal_1 = require("./modal");
const leafygreen_1 = require("../leafygreen");
const modal_body_1 = require("./modal-body");
const modal_header_1 = require("./modal-header");
const modal_footer_button_1 = require("./modal-footer-button");
const paddingBottomStyles = (0, emotion_1.css)({ paddingBottom: tokens_1.spacing[5] });
function InfoModal({ title, subtitle, showCloseButton = true, closeButtonText = 'Close', onClose, children, ...modalProps }) {
    return (react_1.default.createElement(modal_1.Modal, { setOpen: onClose, contentClassName: (0, emotion_1.cx)(!showCloseButton && paddingBottomStyles), ...modalProps },
        react_1.default.createElement(modal_header_1.ModalHeader, { title: title, subtitle: subtitle }),
        react_1.default.createElement(modal_body_1.ModalBody, null, children),
        showCloseButton && (react_1.default.createElement(leafygreen_1.ModalFooter, null,
            react_1.default.createElement(modal_footer_button_1.ModalFooterButton, { "data-testid": "close-button", onClick: onClose, variant: "default" }, closeButtonText)))));
}
exports.InfoModal = InfoModal;
//# sourceMappingURL=info-modal.js.map