import React from 'react';
import type { ToastProps } from '../components/leafygreen';
export type ToastProperties = Pick<ToastProps, 'actionElement' | 'title' | 'description' | 'variant' | 'progress' | 'timeout' | 'dismissible' | 'onClose'>;
export interface ToastActions {
    openToast: (id: string, toastProperties: ToastProperties) => void;
    closeToast: (id: string) => void;
}
export declare const openToast: (id: string, props: ToastProperties) => void;
export declare const closeToast: (id: string) => void;
export declare const ToastArea: React.FunctionComponent;
/**
 * @example
 *
 * ```
 * const MyButton = () => {
 *   const { openToast } = useToast('namespace');
 *   return <button type="button" onClick={() => openToast(
 *      'myToast1', {title: 'This is a notification'})} />
 * };
 *
 * <ToastArea><MyButton/><ToastArea>
 * ```
 *
 * @returns
 */
export declare function useToast(namespace: string): ToastActions;
//# sourceMappingURL=use-toast.d.ts.map